System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DbTransaction

The application creates an object by calling on the object. All subsequent operations associated with the transaction (for example, committing or aborting the transaction) are performed on the object.

Represents an SQL transaction to be made at a data source. This class cannot be inherited.

- Method
  System.Void To be added.

  Commits the database transaction.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.Odbc.OdbcConnection To be added.

  A single application may have multiple database connections, each with zero or more transactions. This property lets you determine the connection object associated with a particular transaction created by .

  Gets the object associated with the transaction, or null if the transaction is no longer valid.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.Common.DbConnection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Property
  System.Data.IsolationLevel To be added.

  Parallel transactions are not supported. Therefore, the applies to the whole transaction.

  Specifies the for this transaction.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The transaction can be rolled back only from a pending state (after has been called, but before is called). The transaction will be rolled back in the event it is disposed before Commit or Rollback is called.

  Rolls back a transaction from a pending state.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.IDbConnection To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.